confluence upgrade 3.5.16 -> 4.3.7logininfo does not exist

We are upgrading from 3.5.16 to 5.3. I am first upgrading 3.5.16 to 4.3.7 but when I startup and log in I get an error page with the error "logininfo does not exist. There are a lot of other SQL related errors in the log as well. DB is postgres 9.1.1, OS is ubuntu 12.0.4.

We've copied prod database across to new environment and data directory. I've installed 3.5.16 which was started successfully. I've then run the 4.3.7 upgrade and we now get the above errors.

1 answer

This widget could not be displayed.

Hi Tracey,

From the description it seems that upgrade didn't succeeded because of some database error. Note also that Postgres 9.1 was not supported for confluence 4.3 as [we can see here|https://confluence.atlassian.com/display/CONF43/Supported+Platforms], although I would say that this wasn't the real problem.

According to this simplified upgrade guide, you can go from 3.5.13 directly to 5.0.3 and then upgrade to the latest confluence version. I recommend to restore the old version of confluence database and retry the upgrade following the guide above.

Cheers,

Rodrigo

Suggest an answer

Log in or Sign up to answer
Community showcase
Posted Thursday in United States

Local Atlassian Research Workshop opportunity on Sep. 28th

We're looking for participants for another workshop at Atlassian! We need Jira admins who have interesting custom workflows, issue views, or boards. Think you have a story to sh...

42 views 0 0
View post

Atlassian User Groups

Connect with like-minded Atlassian users at free events near you!

Find a group

Connect with like-minded Atlassian users at free events near you!

Find my local user group

Unfortunately there are no AUG chapters near you at the moment.

Start an AUG

You're one step closer to meeting fellow Atlassian users at your local meet up. Learn more about AUGs

Groups near you